## org.hibernate.bytecode.javassist
Class FastClass

    java.lang.Object
      org.hibernate.bytecode.javassist.FastClass

All Implemented Interfaces:
  Serializable

    public class FastClass

extends Object
implements Serializable

Author:
  Muga Nishizawa
See Also:
  Serialized Form

Method Summary
`static FastClass` `create(Class type)`
`boolean` `equals(Object o)`
`int` `getIndex(Class[] parameterTypes)`
`int` `getIndex(String name, Class[] parameterTypes)`
`Class` `getJavaClass()`
`int` `getMaxIndex()`
`String` `getName()`
`int` `hashCode()`
`Object` `invoke(int index, Object obj, Object[] args)`
`Object` `invoke(String name, Class[] parameterTypes, Object obj, Object[] args)`
`Object` `newInstance()`
`Object` `newInstance(Class[] parameterTypes, Object[] args)`
`Object` `newInstance(int index, Object[] args)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### invoke

    public Object invoke(String name,
                         Class[] parameterTypes,
                         Object obj,
                         Object[] args)
                  throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### invoke

    public Object invoke(int index,
                         Object obj,
                         Object[] args)
                  throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### newInstance

    public Object newInstance()
                       throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### newInstance

    public Object newInstance(Class[] parameterTypes,
                              Object[] args)
                       throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### newInstance

    public Object newInstance(int index,
                              Object[] args)
                       throws InvocationTargetException

  Throws:
    `InvocationTargetException`

### getIndex

    public int getIndex(String name,
                        Class[] parameterTypes)

### getIndex

    public int getIndex(Class[] parameterTypes)

### getMaxIndex

    public int getMaxIndex()

### getName

    public String getName()

### getJavaClass

    public Class getJavaClass()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### create

    public static FastClass create(Class type)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.